import Head from 'next/head'
import Image from 'next/image'
import styles from '../styles/Home.module.css'
import axios from 'axios'
import React, { useEffect, useState } from 'react'
import Link from 'next/link'

export async function getStaticProps() {
  const config = {
    method: 'get',
    url: 'https://cofffee-data.vercel.app/api/menu'
  }
  const res = (await axios(config)).data
  return {
    props: {
      menu: res
    }
  }
}

export default function Home({ menu }) {

  return (
    <div className={styles.container}>
      <Head>
        <title>DPLUS COFFEE</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h4 className={styles.title}>
          Welcome to DPLUS COFFEE
        </h4>



        <div className={styles.grid}>
          {
            menu.length > 0 ? menu.map((el, i) => {
              return <Link href={`menu/${el.id}`} key={i}>
                <a>
                  <div className={styles.card} key={i}>
                    <Image src={el.image} alt={el.image} width={300} height={250} />
                    <div className={styles.title}>#{el.id} {el.name}</div>
                  </div>
                </a>
              </Link>
            }) : <div>ไม่มีเมนู</div>
          }

        </div>
      </main>

      <footer className={styles.footer}>
        <a
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          Powered by{' '}
          <span className={styles.logo}>
            <Image src="/vercel.svg" alt="Vercel Logo" width={72} height={16} />
          </span>
        </a>
      </footer>
    </div>
  )
}
